com.brightcove.player.pictureinpicture

## Class PictureInPictureManagerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.brightcove.player.pictureinpicture.PictureInPictureManagerException

- All Implemented Interfaces:
    java.io.Serializable

      public class PictureInPictureManagerException
      extends java.lang.RuntimeException

  The Picture-in-Picture manager exception is an unchecked exception thrown when `PictureInPictureManager` encounters a problem.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PictureInPictureManagerException()` Instantiates a new Picture-in-Picture manager exception.
    `PictureInPictureManagerException(java.lang.String message)` Instantiates a new Picture-in-Picture manager exception.
    `PictureInPictureManagerException(java.lang.String message, java.lang.Throwable cause)` Instantiates a new Picture-in-Picture manager exception.
    `PictureInPictureManagerException(java.lang.Throwable cause)` Instantiates a new Picture-in-Picture manager exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PictureInPictureManagerException

          public PictureInPictureManagerException()

      Instantiates a new Picture-in-Picture manager exception.

    - #### PictureInPictureManagerException

          public PictureInPictureManagerException(java.lang.String message)

      Instantiates a new Picture-in-Picture manager exception.
      Parameters:
        `message` - the message

    - #### PictureInPictureManagerException

          public PictureInPictureManagerException(java.lang.String message,
                                                  java.lang.Throwable cause)

      Instantiates a new Picture-in-Picture manager exception.
      Parameters:
        `message` - the message
        `cause` - the cause

    - #### PictureInPictureManagerException

          public PictureInPictureManagerException(java.lang.Throwable cause)

      Instantiates a new Picture-in-Picture manager exception.
      Parameters:
        `cause` - the cause